pcl::poisson::FunctionData< Degree, Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/function_data.h>`

## Public Member Functions

| FunctionData (void)
| ~FunctionData (void)
virtual void | setDotTables (const int &flags)
virtual void | clearDotTables (const int &flags)
virtual void | setValueTables (const int &flags, const double &smooth=0)
virtual void | setValueTables (const int &flags, const double &valueSmooth, const double &normalSmooth)
virtual void | clearValueTables (void)
void | set (const int &maxDepth, const PPolynomial< Degree > &F, const int &normalize, bool useDotRatios=true, bool reflectBoundary=false)
Real | dotProduct (const double &center1, const double &width1, const double &center2, const double &width2, int boundary1, int boundary2) const
Real | dDotProduct (const double &center1, const double &width1, const double &center2, const double &width2, int boundary1, int boundary2) const
Real | d2DotProduct (const double &center1, const double &width1, const double &center2, const double &width2, int boundary1, int boundary2) const

## Static Public Member Functions

static int | SymmetricIndex (const int &i1, const int &i2)
static int | SymmetricIndex (const int &i1, const int &i2, int &index)

## Public Attributes

int | depth
int | res
int | res2
Real * | dotTable
Real * | dDotTable
Real * | d2DotTable
Real * | valueTables
Real * | dValueTables
PPolynomial< Degree > | baseFunction
PPolynomial< Degree > | leftBaseFunction
PPolynomial< Degree > | rightBaseFunction
PPolynomial< Degree-1 > | dBaseFunction
PPolynomial< Degree-1 > | dLeftBaseFunction
PPolynomial< Degree-1 > | dRightBaseFunction
PPolynomial< Degree+1 > * | baseFunctions

## Static Public Attributes

static const int | DOT_FLAG = 1
static const int | D_DOT_FLAG = 2
static const int | D2_DOT_FLAG = 4
static const int | VALUE_FLAG = 1
static const int | D_VALUE_FLAG = 2

## Detailed Description

### template<int Degree, class Real>
class pcl::poisson::FunctionData< Degree, Real >

Definition at line 47 of file function_data.h.

## Constructor & Destructor Documentation

template<int Degree, class Real >

pcl::poisson::FunctionData< Degree, Real >::FunctionData | ( | void |  | ) |

Definition at line 39 of file function_data.hpp.

template<int Degree, class Real >

pcl::poisson::FunctionData< Degree, Real >::~FunctionData | ( | void |  | ) |

Definition at line 47 of file function_data.hpp.

References pcl::poisson::FunctionData< Degree, Real >::set().

## Member Function Documentation

template<int Degree, class Real >

void pcl::poisson::FunctionData< Degree, Real >::clearDotTables | ( | const int & | flags | ) |

virtual

Definition at line 225 of file function_data.hpp.

template<int Degree, class Real >

void pcl::poisson::FunctionData< Degree, Real >::clearValueTables | ( | void |  | ) |

virtual

Definition at line 294 of file function_data.hpp.

References pcl::poisson::FunctionData< Degree, Real >::d2DotProduct(), pcl::poisson::FunctionData< Degree, Real >::dDotProduct(), pcl::poisson::FunctionData< Degree, Real >::dotProduct(), pcl::poisson::PPolynomial< Degree >::scale(), and pcl::poisson::PPolynomial< Degree >::shift().

template<int Degree, class Real >

Real pcl::poisson::FunctionData< Degree, Real >::d2DotProduct | ( | const double & | center1,
|  | const double & | width1,
|  | const double & | center2,
|  | const double & | width2,
|  | int | boundary1,
|  | int | boundary2
| ) |  | const

Definition at line 391 of file function_data.hpp.

Referenced by pcl::poisson::FunctionData< Degree, Real >::clearValueTables().

template<int Degree, class Real >

Real pcl::poisson::FunctionData< Degree, Real >::dDotProduct | ( | const double & | center1,
|  | const double & | width1,
|  | const double & | center2,
|  | const double & | width2,
|  | int | boundary1,
|  | int | boundary2
| ) |  | const

Definition at line 379 of file function_data.hpp.

Referenced by pcl::poisson::FunctionData< Degree, Real >::clearValueTables().

template<int Degree, class Real >

Real pcl::poisson::FunctionData< Degree, Real >::dotProduct | ( | const double & | center1,
|  | const double & | width1,
|  | const double & | center2,
|  | const double & | width2,
|  | int | boundary1,
|  | int | boundary2
| ) |  | const

Definition at line 366 of file function_data.hpp.

Referenced by pcl::poisson::FunctionData< Degree, Real >::clearValueTables().

template<int Degree, class Real >

void pcl::poisson::FunctionData< Degree, Real >::set | ( | const int & | maxDepth,
|  | const PPolynomial< Degree > & | F,
|  | const int & | normalize,
|  | bool | useDotRatios = `true`,
|  | bool | reflectBoundary = `false`
| ) |  |

Definition at line 66 of file function_data.hpp.

References pcl::poisson::BinaryNode< Real >::CenterAndWidth(), pcl::poisson::BinaryNode< Real >::CumulativeCenterCount(), and pcl::poisson::BinaryNode< Real >::DepthAndOffset().

Referenced by pcl::poisson::FunctionData< Degree, Real >::~FunctionData().

template<int Degree, class Real >

void pcl::poisson::FunctionData< Degree, Real >::setDotTables | ( | const int & | flags | ) |

virtual

Definition at line 131 of file function_data.hpp.

References pcl::poisson::BinaryNode< Real >::CenterAndWidth(), and pcl::poisson::BinaryNode< Real >::DepthAndOffset().

template<int Degree, class Real >

void pcl::poisson::FunctionData< Degree, Real >::setValueTables | ( | const int & | flags,
|  | const double & | smooth = `0`
| ) |  |

virtual

Definition at line 244 of file function_data.hpp.

References pcl::poisson::PPolynomial< Degree >::derivative(), and pcl::poisson::PPolynomial< Degree >::MovingAverage().

template<int Degree, class Real >

void pcl::poisson::FunctionData< Degree, Real >::setValueTables | ( | const int & | flags,
|  | const double & | valueSmooth,
|  | const double & | normalSmooth
| ) |  |

virtual

Definition at line 272 of file function_data.hpp.

References pcl::poisson::PPolynomial< Degree >::derivative(), and pcl::poisson::PPolynomial< Degree >::MovingAverage().

template<int Degree, class Real >

int pcl::poisson::FunctionData< Degree, Real >::SymmetricIndex | ( | const int & | i1,
|  | const int & | i2
| ) |  |

inline static

Definition at line 404 of file function_data.hpp.

template<int Degree, class Real >

int pcl::poisson::FunctionData< Degree, Real >::SymmetricIndex | ( | const int & | i1,
|  | const int & | i2,
|  | int & | index
| ) |  |

inline static

Definition at line 410 of file function_data.hpp.

## Member Data Documentation

template<int Degree, class Real >

PPolynomial<Degree> pcl::poisson::FunctionData< Degree, Real >::baseFunction

Definition at line 64 of file function_data.h.

template<int Degree, class Real >

PPolynomial<Degree+1>* pcl::poisson::FunctionData< Degree, Real >::baseFunctions

Definition at line 70 of file function_data.h.

template<int Degree, class Real >

const int pcl::poisson::FunctionData< Degree, Real >::D2_DOT_FLAG = 4

static

Definition at line 56 of file function_data.h.

template<int Degree, class Real >

Real * pcl::poisson::FunctionData< Degree, Real >::d2DotTable

Definition at line 61 of file function_data.h.

template<int Degree, class Real >

const int pcl::poisson::FunctionData< Degree, Real >::D_DOT_FLAG = 2

static

Definition at line 55 of file function_data.h.

template<int Degree, class Real >

const int pcl::poisson::FunctionData< Degree, Real >::D_VALUE_FLAG = 2

static

Definition at line 58 of file function_data.h.

template<int Degree, class Real >

PPolynomial<Degree-1> pcl::poisson::FunctionData< Degree, Real >::dBaseFunction

Definition at line 65 of file function_data.h.

template<int Degree, class Real >

Real * pcl::poisson::FunctionData< Degree, Real >::dDotTable

Definition at line 61 of file function_data.h.

template<int Degree, class Real >

int pcl::poisson::FunctionData< Degree, Real >::depth

Definition at line 60 of file function_data.h.

template<int Degree, class Real >

PPolynomial<Degree-1> pcl::poisson::FunctionData< Degree, Real >::dLeftBaseFunction

Definition at line 65 of file function_data.h.

template<int Degree, class Real >

const int pcl::poisson::FunctionData< Degree, Real >::DOT_FLAG = 1

static

Definition at line 54 of file function_data.h.

template<int Degree, class Real >

Real* pcl::poisson::FunctionData< Degree, Real >::dotTable

Definition at line 61 of file function_data.h.

template<int Degree, class Real >

PPolynomial<Degree-1> pcl::poisson::FunctionData< Degree, Real >::dRightBaseFunction

Definition at line 65 of file function_data.h.

template<int Degree, class Real >

Real * pcl::poisson::FunctionData< Degree, Real >::dValueTables

Definition at line 62 of file function_data.h.

template<int Degree, class Real >

PPolynomial<Degree> pcl::poisson::FunctionData< Degree, Real >::leftBaseFunction

Definition at line 64 of file function_data.h.

template<int Degree, class Real >

int pcl::poisson::FunctionData< Degree, Real >::res

Definition at line 60 of file function_data.h.

template<int Degree, class Real >

int pcl::poisson::FunctionData< Degree, Real >::res2

Definition at line 60 of file function_data.h.

template<int Degree, class Real >

PPolynomial<Degree> pcl::poisson::FunctionData< Degree, Real >::rightBaseFunction

Definition at line 64 of file function_data.h.

template<int Degree, class Real >

const int pcl::poisson::FunctionData< Degree, Real >::VALUE_FLAG = 1

static

Definition at line 57 of file function_data.h.

template<int Degree, class Real >

Real* pcl::poisson::FunctionData< Degree, Real >::valueTables

Definition at line 62 of file function_data.h.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/function_data.h
- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/function_data.hpp